Subject: Re: compiling and running ssh-1.2.20 with b18
From: [email-masked] (Home user)

18 May 1997 07:56:20 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Joe Rumsey" at May 16, 97 10:21:21 pm
Content-Type: text
Original-Sender: [email-masked]

Joe Rumsey wrote:
> I've actually got ssh working, albeit with some warnings from cygwin.dll
> about various things, but I did have to work around a few things in the
> ssh code:
[xxx]
> 4) It tries to read the password upon connecting from /dev/tty, but
> never reads anything.  Luckily it includes code to read from stdin
> instead, which works just fine.

  Same problem. But I managed to trick it to work.
  The changes are in tio.c_lflag settings : one need to add

  tio.c_lflag |= ICANON | ISIG;

  before calling tcsetattr() for non-echoed input, otherwise it would
  hang. Works for me (for 3 days).
  Any ideas why it is not needed for Linux-based compilations, anyone?

> There are probably some other quirks, I've barely tested it, but the 4
> above are what I had to fix to get a basic connection up and running.
> 
> The version of ssh used is 1.2.20.  The ssh home page is
> http://www.cs.hut.fi/ssh
> 
>     Joe
--
Igor V. Kovalenko   mailto:[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".